Get the path of an instance output file

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/asset-instances/{asset_instance_id}/entities/{temporal_entity_id}/output-file-path

Get the folder path and the file name of an output file of an asset instance. An asset instance is a copy of an asset in a shot or a scene. The temporal entity is this shot or this scene. The route uses the file tree of the project to make the path. The route uses the revision of the body as it is. A vendor must have a task on the asset of the instance.

Path parameters

  • asset_instance_id string(uuid) Required

    Asset instance unique identifier

  • temporal_entity_id string(uuid) Required

    Temporal entity unique identifier

application/json

Body Required

  • name string

    File name

    Default value is main.

  • mode string

    File mode

    Default value is output.

  • output_type_id string(uuid) Required

    Output type identifier

  • task_type_id string(uuid) Required

    Task type identifier

  • extension string

    File extension

  • representation string

    File representation

  • revision integer

    File revision number

  • separator string

    Path separator

    Default value is /.

Responses

  • 200 application/json

    The folder path and the file name

    Hide response attributes Show response attributes object
    • folder_path string

      Generated folder path

    • file_name string

      Generated file name

  • 400

    The body is not valid, or the file tree is not valid

  • 403

    You do not have access to this project, or you are a vendor without a task on this asset

  • 404

    The asset instance, the temporal entity, the asset, the output type or the task type does not exist

POST /data/asset-instances/{asset_instance_id}/entities/{temporal_entity_id}/output-file-path
curl -X POST "http://api.example.com/data/asset-instances/a24a6ea4-ce75-4665-a070-57453082c25/entities/b35b7fb5-df86-5776-b181-68564193d36/output-file-path" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "main",
  "mode": "output",
  "output_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "task_type_id": "b35b7fb5-df86-5776-b181-68564193d36",
  "extension": ".mp4",
  "representation": "mp4",
  "revision": 1,
  "separator": "/"
}'
import requests

url = "http://api.example.com/data/asset-instances/a24a6ea4-ce75-4665-a070-57453082c25/entities/b35b7fb5-df86-5776-b181-68564193d36/output-file-path"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "name": "main",
    "mode": "output",
    "output_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_type_id": "b35b7fb5-df86-5776-b181-68564193d36",
    "extension": ".mp4",
    "representation": "mp4",
    "revision": 1,
    "separator": "/"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "name": "main",
  "mode": "output",
  "output_type_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "task_type_id": "b35b7fb5-df86-5776-b181-68564193d360",
  "extension": ".mp4",
  "representation": "mp4",
  "revision": 1,
  "separator": "/"
}
Response examples (200)
{
  "folder_path": "/project/asset/instance/output",
  "file_name": "main_v001.mp4"
}